Skip to main content
Operations Management/Tenant Management (Plus)/Ticket Operations
PUTTicket OperationsSince 3.0.0SynchronousAuth Required

UpdateTicketRequest

UpdateTicketRequest

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • uuidStringRequired

    The resource UUID.

Body Fields

  • updateticketrequestObjectRequired

    updateticketrequest request body object.

    • requestsListRequired

      请求。

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoryTicketInventoryRequired

    See inventory.

    • uuidStringRequired

      The resource UUID.

    • nameStringRequired

      The resource name.

    • descriptionStringRequired

      The detailed description of the resource.

    • accountSystemTypeStringRequired

      账户系统类型。

    • ticketTypeUuidStringRequired

      The ticket type UUID.

    • accountSystemContextObjectRequired

      账户系统上下文。

    • currentFlowUuidStringRequired

      No description provided.

    • flowCollectionUuidStringRequired

      No description provided.

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

    • statusTicketStatusRequired

      See status.

      • nameStringRequired

        The resource name.

      • ordinalintRequired

        No description provided.

    • requestListRequired

      See request.

      • requestNameStringRequired

        请求名称。

      • apiNameStringRequired

        API名称。

      • executeTimesintRequired

        No description provided.

      • apiBodyObjectRequired

        API请求体。

Endpoint

PUT/zstack/v1/tickets/{uuid}/actions

/zstack/v1/tickets/{uuid}/actions

Operation ID

UpdateTicketRequest

Permalink

Request Example

curl -X PUT 'http://{host}/zstack/v1/tickets/{uuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"updateticketrequest":{"requests":["<requests>"]},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventory": { "uuid": "14b4cced263d4e0b8511292980c7984f", "name": "ticket", "description": "ticket description", "status": "IntermediateApproved", "request": [ { "requestName": "create vm", "apiName": "org.zstack.header.vm.APICreateVmInstanceMsg", "executeTimes": 1.0, "apiBody": { "name": "vm name", "instanceOfferingUuid": "c14ffce45a924c7c89b29b472b0cc6a5", "imageUuid": "21bc6910199d44b3bbd0e336bb88f424", "l3NetworkUuids": [ "ff4916c36d9a4c1683c20e5a22ceceb7" ], "strategy": "InstantStart", "timeout": -1.0, "headers": {}, "id": "bde85ab4eb754339bc6bb42623097c56", "createdTime": 1.564025557751E12 } } ], "accountSystemType": "iam2", "ticketTypeUuid": "3b933e9aaf2d49b9a3dcf0c92867790f", "accountSystemContext": { "projectUuid": "2294a0edf109447bafa802bb73b29cd3", "virtualIDUuid": "178c834b9bc84bac9e77460b42eb3494" }, "flowCollectionUuid": "9fbbac8054d54f0490438eaaba3e1cf8" } }

Change History

This API has no change history records yet.

View all change history